=== release 0.10.36 ===

2012-02-20  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  releasing 0.10.36, "Harder"

2012-02-20 21:33:22 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/id.po:
	  po: update translations

2012-02-13 18:09:51 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: fix reverse playback
	  ... especially for all-keyframe (audio) cases.

2012-02-07 11:28:41 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: bitrate mechanics should not deal with duration update
	  ... since that is already handled by _update_duration, or should not be done
	  altogether if the duration is determined by non-estimated means.
	  Fixes #669502.

2012-02-05 13:31:36 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	* win32/common/gstversion.h:
	  0.10.35.3 pre-release

2012-01-04 17:10:15 +0100  Havard Graff <havard.graff@tandberg.com>

	* gst/gstregistry.c:
	  registry: fix compilation with --disable-registry
	  __registry_reuse_plugin_scanner is only defined when
	  GST_DISABLE_REGISTRY is not defined.
	  gstregistry.c: In function 'gst_registry_scan_plugin_file':
	  gstregistry.c:1131:8: error: '__registry_reuse_plugin_scanner' undeclared (first use in this function)
	  https://bugzilla.gnome.org/show_bug.cgi?id=667284

2012-02-02 17:18:22 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/gstbin.c:
	  bin: reset the EOS detection machinery after sending an EOS message
	  This will allow detecting further EOS, for instance after looping
	  a stream without changing states.
	  https://bugzilla.gnome.org/show_bug.cgi?id=668289

2012-01-30 14:48:44 -0200  João Paulo Pizani Flor <joaopizani@gmail.com>

	* gst/gstpreset.h:
	  Fixes the lack of an include directive in gst/gstpreset.h
	  It blocked the build of external libraries depending on gstreamer-core (namely, gstreamermm).
	  Complete bug report at https://bugzilla.gnome.org/show_bug.cgi?id=669036

2012-01-27 15:02:52 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstcollectpads2.c:
	* libs/gst/base/gstcollectpads2.h:
	  collectpads2: Move private fields from the public structs to private structs
	  Fixes bug #668764.

2012-01-12 19:53:11 +0000  Antoine Tremblay <hexa00@gmail.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: clear adapter in reset so baseparse is reusable
	  GstBaseParse was not clearing its adapter on reset causing
	  problems when a pipeline went for example from PLAYING to NULL
	  state and then back to PLAYING again. The data from the last
	  stream would be used in the parser.
	  https://bugzilla.gnome.org/show_bug.cgi?id=667444

2012-01-11 12:19:20 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/gststructure.c:
	  gststructure: clarify _get docs about the returned reference
	  https://bugzilla.gnome.org/show_bug.cgi?id=667689

2011-11-29 14:22:44 +0100  Havard Graff <havard.graff@tandberg.com>

	* libs/gst/base/gstbasesink.c:
	  basesink: don't compensate for render-delay twice
	  https://bugzilla.gnome.org/show_bug.cgi?id=667298

2012-01-05 00:30:30 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gst-i18n-app.h:
	* gst/gst-i18n-lib.h:
	  gst: include locale.h before any other i18n headers
	  This is also how we do it in -base.
	  https://bugzilla.gnome.org/show_bug.cgi?id=667290

2012-01-01 16:47:14 +0100  Idar Tollefsen <itollefs@cisco.com>

	* plugins/elements/gstfdsrc.c:
	* plugins/elements/gstinputselector.c:
	  plugins: explicitly cast initialization values to the correct type
	  https://bugzilla.gnome.org/show_bug.cgi?id=667288

2012-01-01 20:17:41 +0100  Idar Tollefsen <itollefs@cisco.com>

	* gst/gstpoll.c:
	  poll: include correct poll.h based on autoconf test
	  https://bugzilla.gnome.org/show_bug.cgi?id=667286

2012-01-04 23:46:19 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: check for sys/poll.h
	  https://bugzilla.gnome.org/show_bug.cgi?id=667286

2012-01-04 19:38:30 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 59a7a68 to cb5da59

2012-01-04 19:25:50 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From e4a9407 to 59a7a68

2011-12-31 17:37:20 -0800  David Schleef <ds@schleef.org>

	* tests/check/Makefile.am:
	  convert Makefile spaces to tabs

2011-12-25 12:39:49 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstfilesrc.c:
	  filesrc: return any remaining data on EOS before returning FLOW_UNEXPECTED

2011-12-25 12:29:46 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstfilesrc.c:
	  filesrc: minor cosmetic changes
	  Rename woffset variable, maintain separate bytes_read in addition
	  to length variable.

2011-12-19 12:33:18 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: suggestion compatible with upstream is not much of a suggestion
	  ... in that upstream is already complying with that suggestion.
	  Fixes #666174.

2011-12-15 14:31:05 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* libs/gst/base/gstcollectpads2.c:
	  collectpads2: delay collecting buffer if a pad newly set waiting
	  ... as commented; make code correspond to it (again).

2011-12-12 13:05:36 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* plugins/elements/gstfilesrc.c:
	  filesrc: do not mistake short reads for EOS
	  While local filesystems will usually not cause short reads,
	  this may happen on seekable files on some remote filesystems.
	  Instead, loop till we get the requested amount of data, or
	  an actual EOS (ie, 0 bytes).
	  https://bugzilla.gnome.org/show_bug.cgi?id=665921

2011-12-12 11:54:56 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/glib-compat-private.h:
	* gst/glib-compat.c:
	  glib-compat: Add license boilerplate for LGPL

2011-12-10 01:04:10 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	* win32/common/gstenumtypes.c:
	* win32/common/gstversion.h:
	  0.10.35.2 pre-release

2011-12-10 01:16:05 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/LINGUAS:
	* po/cs.po:
	* po/eo.po:
	* po/es.po:
	* po/gl.po:
	* po/sl.po:
	* po/sr.po:
	* po/uk.po:
	  po: update translations

2011-12-07 16:01:07 +0100  Stefan Sauer <ensonic@users.sf.net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstpreset.c:
	* gst/gstpreset.h:
	* win32/common/libgstreamer.def:
	  preset: allow applications to specify an extra preset dir
	  An extra application preset dir help to organize presets created for special
	  purposes. Fixes #660760
	  API: gst_preset_set_app_dir(), gst_preset_get_app_dir()

2011-12-08 18:00:00 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Fix code path to come up with possible caps if incompatible caps are provided to buffer_alloc()
	  Previous code could almost never work and this should be slightly
	  better.

2011-12-08 17:21:30 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Fall back to upstream provided caps if suggested caps are not supported by the sinkpad

2011-12-08 17:07:05 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Fall back to upstream provided caps if fixation of suggested caps failed

2011-12-08 17:02:28 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Refactor gst_base_transform_buffer_alloc() code
	  Don't check if upstream provided caps are compatible with upstream
	  and don't try to fixate these caps. They must be fixated in any case.

2011-12-07 17:57:49 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: do not use a byte value instead of a time value when bisecting
	  This fixes FLAC seeking on some FLAC files.

2011-12-07 11:04:42 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* tests/check/elements/selector.c:
	  selector: Push newsegment events before any buffers are pushed in the unit test

2011-12-07 11:01:49 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: Don't send a NEWSEGMENT event if a buffer arrived before the segment was configured

2011-12-07 11:01:31 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstoutputselector.c:
	  outputselector: Don't send last segment/buffer when no segment was configured yet

2011-12-07 09:50:40 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: If suggested caps are not compatible with upstream try to come up with compatible caps
	  Fixes bug #662199.

2011-12-06 23:52:53 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstindexfactory.c:
	  indexfactory: fix memory leak
	  Introduced by commit bd302bb6 pluginfeature: avoid duplicating feature->name
	  https://bugzilla.gnome.org/show_bug.cgi?id=459466
	  https://bugzilla.gnome.org/show_bug.cgi?id=665703

2011-12-06 14:55:15 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstfakesink.c:
	  fakesink: Make event/buffer verbose output consistent with identity

2011-12-06 14:55:11 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstidentity.c:
	  identity: Print buffer flags in the verbose output

2011-12-06 14:53:47 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstfakesrc.c:
	  fakesrc: Make event/buffer verbose output consistent with identity and print buffer flags

2011-12-04 21:19:04 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* libs/gst/check/gstcheck.h:
	  check: allow non-joinable threads in private g_thread_create() copy
	  Looks like some tests use non-joinable threads after all.

2011-12-04 14:38:26 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstbin.c:
	* gst/gstelement.c:
	* gst/gstpad.c:
	* gst/gsttask.c:
	* gst/gstutils.c:
	* libs/gst/base/gstbaseparse.c:
	* libs/gst/base/gstbasesink.c:
	* libs/gst/base/gstbasesrc.c:
	* libs/gst/base/gstbasetransform.c:
	* libs/gst/base/gstcollectpads2.c:
	* plugins/elements/gstmultiqueue.c:
	  Suppress deprecation warnings in selected files, for g_static_rec_mutex_* mostly
	  GStaticRecMutex is part of our API/ABI, not much we can do here in 0.10.

2011-12-04 13:35:38 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/glib-compat-private.h:
	* gst/gstbus.c:
	* gst/gstclock.c:
	* gst/gstelement.c:
	* gst/gstobject.h:
	* gst/gsttask.c:
	* libs/gst/base/gstbaseparse.c:
	* libs/gst/base/gstbasesrc.c:
	* libs/gst/base/gstbasetransform.c:
	* libs/gst/base/gstcollectpads.c:
	* libs/gst/base/gstcollectpads2.c:
	* libs/gst/base/gstdataqueue.c:
	* libs/gst/check/gstcheck.h:
	* libs/gst/controller/gstcontroller.c:
	* libs/gst/controller/gstinterpolationcontrolsource.c:
	* libs/gst/controller/gstlfocontrolsource.c:
	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstqueue.c:
	* plugins/elements/gstqueue2.c:
	* plugins/elements/gsttee.c:
	  Work around deprecated thread API in glib master
	  Add private replacements for deprecated functions such as
	  g_mutex_new(), g_mutex_free(), g_cond_new() etc., mostly
	  to avoid the deprecation warnings. We can't change most of
	  these in 0.10 because they're part of our API and ABI.

2011-12-04 13:09:53 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/benchmarks/gstbufferstress.c:
	* tests/benchmarks/gstclockstress.c:
	* tests/benchmarks/gstpollstress.c:
	  benchmarks: g_thread_create() is deprecated in GLib master, use g_thread_try_new() instead

2011-12-04 13:04:35 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* libs/gst/net/gstnetclientclock.c:
	* libs/gst/net/gstnettimeprovider.c:
	  net: initialise GError variables to NULL

2011-12-03 17:40:53 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gst.c:
	* libs/gst/helpers/gst-plugin-scanner.c:
	* tools/gst-inspect.c:
	* tools/gst-launch.c:
	* tools/gst-typefind.c:
	* tools/gst-xmlinspect.c:
	  g_thread_init() is deprecated in glib master
	  It's not needed any longer.

2011-12-03 16:02:36 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gsttagsetter.c:
	  tagsetter: update for thread API deprecations in glib master

2011-12-03 15:36:58 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gsttaglist.c:
	  taglist: update for thread API deprecations in glib master

2011-12-03 13:58:51 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstsystemclock.c:
	* libs/gst/check/gstcheck.h:
	* libs/gst/net/gstnetclientclock.c:
	* libs/gst/net/gstnettimeprovider.c:
	  g_thread_create() is deprecated in GLib master, use g_thread_try_new() instead

2011-12-02 13:19:38 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* plugins/elements/gstidentity.c:
	  identity: unlock clock wait when appropriate
	  ... notably FLUSH and state change to READY.

2011-12-01 16:25:07 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/gstbus.c:
	  bus: use GST_MESSAGE_SOURCE_NAME() which also takes care of src=NULL.

2011-11-30 13:59:46 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Always intersect the suggested sink caps with the peer caps
	  This makes sure that we get correct and complete caps. The suggested caps
	  could be incomplete, e.g. video/x-raw-rgb without any fields, and by
	  intersecting with the peer caps we get something usable.
	  Fixes bug #662199.

2011-11-30 00:24:32 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstevent.c:
	  event: warn and fail instead of creating newsegment events in GST_FORMAT_UNDEFINED

2011-11-28 12:30:15 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/gstelement.c:
	* gst/gstelement.h:
	* win32/common/libgstreamer.def:
	  gstelement: add gst_element_class_add_pad_template_from_static
	  This function helps ensure the pad template is unreffed
	  without having to complicate the calling code.
	  https://bugzilla.gnome.org/show_bug.cgi?id=662664

2011-11-28 01:10:20 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstqueue2.c:
	  queue2: fix refactoring of draining-on-eos, munge flow return to FLOW_OK

2011-11-03 10:34:49 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstqueue2.c:
	  queue2: add bufferlist support
	  We want to maintain buffer lists if possible.

2011-11-03 13:02:36 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstqueue2.c:
	  queue2: split out draining of queue on FLOW_UNEXPECTED into separate function

2011-11-03 08:55:20 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstqueue2.c:
	  queue2: pass item type enum to _enqueue instead of simple isbuffer boolean
	  Avoids some unnecessary GST_IS_EVENT()

2011-11-27 20:36:31 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/gstbin.c:
	* gst/gstelement.c:
	* tools/gst-inspect.c:
	* tools/gst-xmlinspect.c:
	  warnings: avoid set-but-unused warnings with load-save disabled

2011-11-26 19:45:48 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gsturi.h:
	  uri: fix wrong G_GNUC_MALLOC
	  _get_protocols() points to const memory in 0.10
	  despite the non-const return value.

2011-11-26 18:58:38 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* libs/gst/base/gstadapter.h:
	* libs/gst/base/gstbitreader.h:
	* libs/gst/base/gstbytereader.h:
	* libs/gst/base/gstbytewriter.h:
	* libs/gst/base/gstdataqueue.h:
	  libs: sprinkle some G_GNUC_MALLOC
	  Maybe gcc can do something clever with that, or at least
	  warn us if we don't save the return value somewhere.

2011-11-26 18:57:44 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstatomicqueue.h:
	* gst/gstbuffer.h:
	* gst/gstbufferlist.h:
	* gst/gstcaps.h:
	* gst/gstdatetime.h:
	* gst/gstelementfactory.h:
	* gst/gstevent.h:
	* gst/gstghostpad.h:
	* gst/gstindexfactory.h:
	* gst/gstiterator.h:
	* gst/gstmessage.h:
	* gst/gstminiobject.h:
	* gst/gstpadtemplate.h:
	* gst/gstparamspecs.h:
	* gst/gstparse.h:
	* gst/gstpipeline.h:
	* gst/gstpluginfeature.h:
	* gst/gstpoll.h:
	* gst/gstpreset.h:
	* gst/gstquery.h:
	* gst/gstsegment.h:
	* gst/gststructure.h:
	* gst/gsttaglist.h:
	* gst/gsturi.h:
	* gst/gstvalue.h:
	  gst: sprinkle some G_GNUC_MALLOC
	  Maybe gcc can do something clever with that, or at least
	  warn us if we don't save the return value somewhere.

2011-11-16 01:04:45 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* tests/check/gst/gstbuffer.c:
	* win32/common/libgstreamer.def:
	  buffer: add gst_buffer_{set,get}_qdata()
	  Allows people/us to attach arbitrary metadata to buffers.
	  https://bugzilla.gnome.org/show_bug.cgi?id=664720
	  API: gst_buffer_set_qdata()
	  API: get_buffer_get_qdata()

2011-11-24 11:15:29 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/gstpad.c:
	  pad: Remove g_warning() if pad accepted caps that are not a subset of the pad caps
	  This check is correct but unfortunately it's impossible to implement
	  in a threadsafe way because the caps could have changed in the meantime.
	  Fixes bug #659606.

2011-10-03 12:34:20 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: check filled state of queues even if another one is empty
	  This will avoid a case where overrun is never signalled if some
	  stream never produces any data, causing playbin2 to not end preroll.
	  https://bugzilla.gnome.org/show_bug.cgi?id=660778

2011-11-23 13:42:56 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Return template caps instead of other side's peer caps if get_sink_caps vfunc is not implemented
	  Using gst_pad_proxy_get_caps() breaks backwards compatibility with old
	  parsers because it will propagate the other side's fields like "parsed"
	  and "framed" and also breaks parser/converters.
	  Fixes bug #664221.

2011-11-12 16:42:14 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tools/gst-inspect.c:
	  gst-inspect: print current value as default value
	  Instead of printing separate 'Current' and 'Default' values
	  (the former obtained via g_object_get() and the latter from
	  the property GParamSpec), simply print the Current value as
	  the Default value. This is the right thing to do for almost
	  all elements and avoids confusion if a subclass of a base
	  class chooses a different default than the base class.

2011-11-12 14:55:07 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstelementfactory.c:
	* gst/gstparse.c:
	* gst/gstplugin.c:
	* libs/gst/controller/gstinterpolationcontrolsource.c:
	  gst, controller: replace g_list_prepend + reverse with GQueue

2011-11-09 11:05:59 +0100  Stefan Sauer <ensonic@users.sf.net>

	* Android.mk:
	* tests/examples/controller/Makefile.am:
	  Android: build audio controller example
	  Add buildsystem hooks for building the audiocontroller example
	  with the NDK.
	  Signed-off-by: Reynaldo H. Verdejo Pinochet <reynaldo@collabora.com>

2011-11-08 18:09:28 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/gstvalue.c:
	  gstvalue: consider lists and ranges equal if they hold the same set
	  This fixes caps operations when different elements advertise some
	  of their caps' properties differently (eg, for audio channels, either
	  a range from 1 to 2, or a list of 1 and 2).
	  https://bugzilla.gnome.org/show_bug.cgi?id=663643

2011-11-09 11:24:26 +0100  Stefan Sauer <ensonic@users.sf.net>

	* tests/check/gst/gststructure.c:
	  tests: add a subset test for structure

2011-10-28 13:39:58 +0200  Stefan Sauer <ensonic@users.sf.net>

	* docs/manual/advanced-dparams.xml:
	  docs: also fix wrong call order for controller in manual

2011-11-08 12:22:21 +0100  René Stadler <rene.stadler@collabora.co.uk>

	* tests/check/gst/gstpad.c:
	  tests: pad: add test to verify flushing behaviour
	  Seems like a trivial case, but this was actually broken in 0.11 recently.

2011-11-08 00:32:36 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstcaps.c:
	* gst/gstelement.h:
	* gst/gstghostpad.c:
	* gst/gstminiobject.c:
	* gst/gststructure.c:
	* libs/gst/base/gstbaseparse.c:
	* libs/gst/base/gstbasesrc.c:
	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstmultiqueue.c:
	  docs: fix Since: markers for API added after 0.10.35

2011-11-08 00:15:49 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* win32/common/libgstreamer.def:
	  win32: update .def file for new API
	  API: gst_caps_is_strictly_equal()

2011-10-27 12:59:57 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/gstcaps.c:
	  gstcaps: remove unneeded use of gint64
	  https://bugzilla.gnome.org/show_bug.cgi?id=662777

2011-10-27 12:24:13 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/gststructure.c:
	* gst/gstvalue.c:
	  gstvalue: quicker version of intersection when we do not need the result
	  https://bugzilla.gnome.org/show_bug.cgi?id=662777

2011-10-27 12:02:43 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/gststructure.c:
	  gststructure: simplify return statement in gst_structure_can_intersect
	  https://bugzilla.gnome.org/show_bug.cgi?id=662777

2011-10-27 11:41:30 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/gststructure.c:
	  gststructure: early out when we know a value cannot be a subset
	  If two values can be ordered, but are unequal, they are
	  necessarily distinct, thus one cannot be a subset of the other.
	  https://bugzilla.gnome.org/show_bug.cgi?id=662777

2011-10-27 10:35:53 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/gststructure.c:
	* gst/gstvalue.c:
	  gstvalue: quicker test for substraction emptiness
	  When we do not care about the actual resulting set,
	  but only whether it is empty of not, we can skip a fair bit
	  of GValue juggling.
	  Add a function that does so, since we cannot just pass NULL
	  to the existing API as it may be part of the API contract.
	  https://bugzilla.gnome.org/show_bug.cgi?id=662777

2011-10-27 09:45:41 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/gststructure.c:
	  gststructure: rejig test ordering for speed
	  https://bugzilla.gnome.org/show_bug.cgi?id=662777

2011-11-03 15:36:59 +0000  Sjoerd Simons <sjoerd.simons@collabora.co.uk>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Only use the cached transform on strictly equal caps
	  https://bugzilla.gnome.org/show_bug.cgi?id=663333

2011-11-03 15:35:32 +0000  Sjoerd Simons <sjoerd.simons@collabora.co.uk>

	* gst/gstcaps.c:
	* gst/gstcaps.h:
	  caps: Add gst_caps_is_strictly_equal

2011-10-15 22:52:25 +0300  Peteris Krisjanis <pecisk@gmail.com>

	* gst/gstclock.h:
	  introspection: add Value annotations for GST_SECOND, GST_MSECOND, GST_USECOND, GST_NSECOND constants
	  gobject-introspection won't parse them properly otherwise.
	  Still need to force the right type though (either GstClockTime or
	  guint64), but Type: xyz has no effect for me here, so someone with
	  a newer g-i needs to test this.
	  Some other defines are also missing, e.g. GST_CLOCK_TIME_NONE.

2011-11-04 00:03:05 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: suppress unused variable warnings if gst debugging is disabled
	  https://bugzilla.gnome.org/show_bug.cgi?id=662952

2011-11-04 00:02:07 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: fix typo around GLIB_EXTRA_CFLAGS in GST_ALL_CXXFLAGS

2011-11-03 23:08:52 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstqueue.c:
	* plugins/elements/gstqueue.h:
	  queue: use statically allocated GQueue

2011-11-03 22:58:50 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstbin.c:
	  bin: use statically allocated GQueue
	  Because we can.

2011-11-03 22:51:57 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* libs/gst/base/gstcollectpads2.h:
	  collectpads2: use flags enum instead of guint in structure

2011-11-03 08:47:20 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstqueue2.c:
	* plugins/elements/gstqueue2.h:
	  queue2: use statically allocated GQueue

2011-10-25 17:26:50 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/gstghostpad.c:
	* tests/check/gst/gstghostpad.c:
	  ghostpad: Don't cache internal proxy pad target
	  The internal proxy pad target is simply a cache of the internal proxy pad
	  peer. This patch uses the well implement GstPad peer handling to obtain the
	  target. This fixes issues with target not being set in both direction when
	  two ghostpads are linked together (empty bin).
	  https://bugzilla.gnome.org/show_bug.cgi?id=658517

2011-11-01 14:17:21 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* libs/gst/base/gstadapter.c:
	  adapter: simplify gst_adapter_take_list()
	  Use a stack-allocated GQueue to assemble our GList.

2011-10-31 17:45:44 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	* configure.ac:
	  configure: make GLIB_EXTRA_CFLAGS overwritable
	  Make 'make GLIB_EXTRA_CFLAGS=...' work.

2011-10-30 21:54:36 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstfilter.c:
	* gst/gstfilter.h:
	  filter: deprecate gst_filter_run()
	  It's not really used outside of core at all, and has
	  serious namespace issues. If anyone feels the need to
	  revive this one, please use a less generic name space.
	  API: deprecate gst_filter_run()
	  API: deprecate GstFilterFunc

2011-10-30 21:39:36 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstregistry.c:
	  registry: don't use soon-to-be-deprecated gst_filter_run()
	  Lines-of-code savings are negligible anyway.

2011-10-30 21:21:59 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstpluginfeature.c:
	* gst/gstpluginfeature.h:
	* gst/gstregistry.c:
	* tests/check/gst/struct_x86_64.h:
	  pluginfeature: deprecate gst_plugin_feature_type_name_filter()
	  It's only used internally anyway and the helper struct
	  has namespace issues.
	  API: deprecated gst_plugin_feature_type_name_filter()
	  API: deprecated GstTypeNameData

2011-10-30 09:58:16 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/gst/gstreamer-sections.txt:
	* gst/gsttaglist.c:
	* gst/gsttaglist.h:
	* tests/check/gst/gsttag.c:
	* win32/common/libgstreamer.def:
	  taglist: add to_string and new_from_string functions
	  We want to make GstTagList opaque and not have people use
	  GstStructure API on it.
	  API: gst_tag_list_to_string()
	  API: gst_tag_list_new_from_string()

2011-10-30 01:46:22 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gsttaglist.c:
	  taglist: avoid pointless tag name -> quark lookups
	  We never get a tag name quark from a caller, it's always a
	  string, from which we'll try to look up our tag info in the
	  hash table, so change the hash table key from quark to string.
	  Avoids a bunch of pointless string => quark lookup in the
	  global quark table. We need to do an extra string => quark
	  conversion now when we copy a taglist, but in that case we're
	  in a slow path anyway.

2011-10-30 00:44:44 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/gst/gstreamer-sections.txt:
	* gst/gsttaglist.c:
	* gst/gsttaglist.h:
	* tests/check/gst/gsttag.c:
	* win32/common/libgstreamer.def:
	  taglist: add gst_tag_list_is_equal()
	  API: gst_tag_list_is_equal()

2011-10-29 23:52:22 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gststructure.c:
	  structure: identical structures are definitely equal

2011-10-28 11:53:32 +0200  Sjoerd Simons <sjoerd.simons@collabora.co.uk>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Also fush the cache when changing the upstream caps suggestion

2011-10-28 11:50:23 +0200  Sjoerd Simons <sjoerd.simons@collabora.co.uk>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Add debug output when returning a cached transform

2011-10-28 10:54:19 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstcollectpads2.c:
	  collectpads2: Fix refcount handling if a buffer was dropped due to clipping

2011-10-28 10:37:21 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstcollectpads2.c:
	* libs/gst/base/gstcollectpads2.h:
	* win32/common/libgstbase.def:
	  collectpads2: Merge the clip and prepare_buffer function into one

2011-10-28 10:17:06 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstcollectpads2.c:
	* libs/gst/base/gstcollectpads2.h:
	  collectpads2: Merge clipping API from old collectpads

2011-10-28 09:19:29 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* libs/gst/base/gstbasesink.c:
	  basesink: make default query function name show up in gst-inspect

2011-09-27 15:48:52 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* libs/gst/base/gstcollectpads2.c:
	  collectpads2: avoid hanging in case of sparse newsegment events
	  ... in the extent that a non-waiting pad (so indicated by newsegment)
	  turns out to provide the best buffer, which is then forced to waiting
	  for book-keeping purposes, but that should only be temporary.
	  See bug #415754.

2011-10-28 09:38:35 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstcollectpads2.c:
	  collectpads2: Use G_DEFINE_TYPE instead of GST_BOILERPLATE

2011-10-28 09:35:50 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* docs/libs/gstreamer-libs-docs.sgml:
	* docs/libs/gstreamer-libs-sections.txt:
	  collectpads2: Add to the documentation

2011-10-28 09:26:11 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* win32/common/libgstbase.def:
	  win32: Add new collectpads2 API

2011-10-28 09:18:55 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/Makefile.am:
	* libs/gst/base/gstcollectpads2.c:
	* libs/gst/base/gstcollectpads2.h:
	  base: Add collectpads2
	  This handles muxing of sparse/subtitle streams and has
	  lots of cleanup. Still missing is special support for
	  live streams but this can be added later without breaking
	  API/ABI.
	  Based on the version from the videomixer plugin.
	  https://bugzilla.gnome.org/show_bug.cgi?id=415754

2011-10-27 23:08:14 +1100  Jan Schmidt <thaytan@noraisin.net>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Fix refcount leak
	  Don't leak peercaps and a ref to the basetransform when returning
	  the cached caps.

2011-10-27 10:38:10 +0200  Stefan Sauer <ensonic@users.sf.net>

	* libs/gst/controller/gstcontroller.c:
	  controller: fix wrong order of calls in the docs.

2011-10-26 12:23:07 +0200  Stefan Sauer <ensonic@users.sf.net>

	* gst/gstevent.c:
	  event: clarify docs for step event

2011-10-18 23:19:47 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstregistry.c:
	  registry: add support for GST_REGISTRY_REUSE_PLUGIN_SCANNER=no
	  This will make sure we spawn a new plugin scanner helper for each plugin
	  to be introspected, which helps with making sure we don't load too many
	  shared objects (libs, plugins) at the same time on systems where there
	  is a hard limit like on Android.
	  A better version might re-use the scanner for up to N times, though
	  it's not clear whether that would actually improve things dramatically.
	  https://bugzilla.gnome.org/show_bug.cgi?id=662091

2011-10-21 10:23:04 -0300  Thiago Santos <thiago.sousa.santos@collabora.com>

	* gst/gstcaps.c:
	  caps: No need to require writable caps for _append/_merge second caps
	  The second caps ownership is transfered, no need to require it to
	  be writable from the caller function. Instead, _append and _merge
	  make it writable on their own.
	  Discovered because of an assertion on encoding-profile.c in
	  _get_input_caps using _merge but not passing writable caps.

2011-10-20 16:59:01 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstbaseparse.c:
	* libs/gst/base/gstbaseparse.h:
	  baseparse: Fix documentation, it's pre_push_frame and not pre_push_buffer

2011-10-20 14:02:44 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: cache transformed caps where appropriate
	  Speeds up negotiation a fair bit on a contrived pipeline
	  with a dozen colorspace conversions.
	  Hopefully clears out the cache every time it ought to.
	  https://bugzilla.gnome.org/show_bug.cgi?id=662291

2011-10-20 10:45:30 -0300  Reynaldo H. Verdejo Pinochet <reynaldo@collabora.com>

	* Android.mk:
	  Fix broken android building due to name change in 01d87250a845e55d6

2011-10-20 08:31:18 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstbaseparse.c:
	* libs/gst/base/gstbaseparse.h:
	  basebarse: Add detect vfunc to allow subclasses to do format detection before anything else
	  API: GstBaseParseClass::detect()
	  This is called with the first buffers until the subclass has finished detection
	  and only afterwards the original buffers are handled as before. The vfunc allows
	  detection of the stream format without breaking the upstream framing.

2011-10-20 08:57:57 +0200  Stefan Sauer <ensonic@users.sf.net>

	* gst/gstpad.c:
	  pad: not only describe conditions in the docs, also check them in the code
	  When blocking pads, check if the pad is in the rigt direction. Log some info
	  for the developer and return FALSE, instead of just locking up.

2011-10-18 19:21:58 -0300  Thiago Santos <thiago.sousa.santos@collabora.com>

	* gst/gstmessage.c:
	  message: protect against null message sources
	  Message sources can be null, check if it is before trying to
	  access its name.

2011-10-18 08:48:37 -0300  Thiago Santos <thiago.sousa.santos@collabora.com>

	* libs/gst/base/gstbaseparse.h:
	  baseparse: add since doc to new getcaps function

2011-10-18 14:08:19 +0200  Stefan Sauer <ensonic@users.sf.net>

	* gst/gstbin.c:
	* gst/gstbus.c:
	* gst/gstmessage.c:
	* libs/gst/base/gstbasesink.c:
	  logging: more logging and prefer human readable details over memory locations

2011-10-18 14:05:37 +0200  Stefan Sauer <ensonic@users.sf.net>

	* gst/gstdebugutils.c:
	  debugutils: improve display of ghost- and proxypads
	  Handle virtual links between ghost and proxypads when iterating pads instead of
	  when linking. Besides using less code this provides a more accurate picture.

2011-10-17 14:42:08 -0300  Thiago Santos <thiago.sousa.santos@collabora.com>

	* libs/gst/base/gstbaseparse.c:
	* libs/gst/base/gstbaseparse.h:
	  baseparse: add getcaps function
	  Adds a getcaps function to the sink pad to make parsers propagate
	  downstream caps restrictions to upstream.
	  The pipeline "audiotestsrc num-buffers=100 ! faac ! aacparse !
	  "audio/mpeg, version=(int)4, stream-format=(string)adts" ! filesink"
	  wouldn't work because aacparse wouldn't propagate the adts restriction
	  upstream to faac.
	  This patch adds a default getcaps to the sink pad to simply proxy
	  downstream caps and also adds a 'get_sink_caps' function pointer
	  to GstBaseParseClass for subclasses that need more refined getcaps.
	  https://bugzilla.gnome.org/show_bug.cgi?id=661874

2011-10-18 12:39:03 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* libs/gst/base/gstbasesrc.c:
	  basesrc: also update the stream time

2011-10-18 10:58:14 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Fix handling of queued frames
	  gst_base_parse_push_frame() already frees the frame, no need to
	  do it another time again.

2011-10-16 21:12:07 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstbus.c:
	  bus: give watch source a name
	  Give our GSource a meaningful name. Source names can be
	  used for debugging and profiling, for example with
	  systemtap or gdb.

2011-10-14 09:35:09 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

